{
  pkgs,
  self,
  ...
}:
let
  # Don't waste user's time.
  markBroken =
    drv:
    drv.overrideAttrs (prevAttrs: {
      meta = (prevAttrs.meta or { }) // {
        broken = true;
      };
    });
in
(pkgs.pkgsLLVM.extend self.overlays.default).extend (
  _finalLLVM: prevLLVM: {
    inherit (pkgs)
      dbus
      libdrm
      libgbm
      libGL
      libxv
      libtirpc
      wayland
      xorg
      ;
    cups = markBroken prevLLVM.cups;
  }
)
